//
//  CurrentInputController.h
//  CurrentInput
//
//  Created by Phidgets on 2015-07-30.
//  Copyright (c) 2015 Phidgets. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <Phidget22/phidget22.h>
#import "PhidgetInfoBox.h"

@interface CapacitiveTouchController : NSObject <NSWindowDelegate>
{
    IBOutlet NSWindow *mainWindow;
    PhidgetCapacitiveTouchHandle ch;
    //PhidgetInfoBox View
    IBOutlet PhidgetInfoBox *phidgetInfoBoxView;
    IBOutlet NSBox *phidgetInfoBox;
    //Device Settings
    IBOutlet NSBox *settingsBox;
    IBOutlet NSTextField *changeTriggerText;
    IBOutlet NSTextField *minChangeTriggerLabel;
    IBOutlet NSTextField *maxChangeTriggerLabel;
    IBOutlet id changeTriggerSlider;
    IBOutlet NSTextField *dataIntervalText;
    IBOutlet NSTextField *minDataIntervalLabel;
    IBOutlet NSTextField *maxDataIntervalLabel;
    IBOutlet id dataIntervalSlider;
    //Extra settings
    IBOutlet NSBox *extraSettingsBox;
    IBOutlet NSSlider *sensitivitySlider;
    IBOutlet NSTextField *minSensitivityLabel;
    IBOutlet NSTextField *maxSensitivityLabel;
    IBOutlet NSTextField *sensitivityText;
    
    //Data
    IBOutlet NSBox *dataBox;
    __unsafe_unretained IBOutlet NSBox *stateBox;
    __unsafe_unretained IBOutlet NSTextField *stateText;
    __unsafe_unretained IBOutlet NSTextField *touchInputValueText;
    
    //Errors
    IBOutlet NSPanel *errorEventLogWindow;
    IBOutlet NSTextView *errorEventLog;
    IBOutlet NSTextField *errorEventLogCounter;
}

@end
